Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 578720 - media-sound/umix-1.0.2[ncurses] and sys-libs/ncurses[tinfo] - undefined reference to symbol 'cbreak'
Summary: media-sound/umix-1.0.2[ncurses] and sys-libs/ncurses[tinfo] - undefined refer...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: tinfo
  Show dependency tree
 
Reported: 2016-04-01 02:48 UTC by Martin von Gagern
Modified: 2019-03-22 15:04 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin von Gagern 2016-04-01 02:48:19 UTC
Re-merging umix fails for me:

x86_64-pc-linux-gnu-gcc -march=amdfam10 -O2 -ggdb -pipe -Wall -Wl,--as-needed -o
 umix umix_common.o umix.o mixer.o error.o ui.o ui_ncurses.o  -lncurses
/usr/lib/gcc/x86_64-pc-linux-gnu/5.3.0/../../../../x86_64-pc-linux-gnu/bin/ld: u
i_ncurses.o: undefined reference to symbol 'cbreak'
/lib64/libtinfo.so.6: error adding symbols: DSO missing from command line
collect2: error: ld returned 1 exit status
Makefile:200: recipe for target 'umix' failed
make[2]: *** [umix] Error 1

Previous version has been around since 2009 on my system, and I guess I enabled the tinfo USE flag for ncurses after that.
Comment 1 Martin von Gagern 2017-12-21 23:21:17 UTC
Got bitten by this again during the world rebuild for the 17.0 profile migration. Guess I'll unmerge umix for now.
Comment 2 Lars Wendler (Polynomial-C) gentoo-dev 2019-03-22 15:04:29 UTC
This issue has been fixed by the following commit:

commit 492fa59cd6298e4d80717571bdbaaf01a9540c0e
Author: Jeroen Roovers <jer@gentoo.org>
Date:   Fri Mar 2 09:49:10 2018

    media-sound/umix: Fix building against sys-libs/ncurses[tinfo] (bug #647164).

    Package-Manager: Portage-2.3.24, Repoman-2.3.6